Page MenuHomePhabricator

Enable Extension:ShortUrl on chapterwiki of WMBD
Closed, ResolvedPublic

Description

Please enable ShortUrl extension on chapter-wiki of Wikimedia Bangladesh. The chapter's committee is aware of this config change and have no issue with it. We've discussed it in our private mailing list. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2016, 8:48 AM
NahidSultan triaged this task as Normal priority.Sep 19 2016, 8:48 AM
MarcoAurelio added a subscriber: MarcoAurelio.

I'll work on this :)

I'll work on this :)

That was fast. great :)

Change 311383 had a related patch set uploaded (by MarcoAurelio):
Enable ShortURL on Wikimedia Bangladesh chapter wiki

https://gerrit.wikimedia.org/r/311383

MarcoAurelio lowered the priority of this task from Normal to Low.Sep 19 2016, 5:49 PM

Change 311383 merged by jenkins-bot:
Enable ShortURL on Wikimedia Bangladesh chapter wiki

https://gerrit.wikimedia.org/r/311383

MarcoAurelio added a comment.EditedSep 19 2016, 6:22 PM

We are rolling back the patch because we couldn't make this work. Tables were created and populated, still this does not work. @thcipriani will follow-up.

@thcipriani will follow-up.

I deployed this patch as part of morning SWAT on 2016-09-19. I merged the patch to enable ShortUrl, and then pulled that change to mw1099 for testing.

I Created tables using /srv/mediawiki/php-1.28.0-wmf.18/extensions/ShortUrl/schemas/shorturls.sql

I was able to verify the table was created:

mysql:wikiadmin@db1075 [bdwikimedia]> show tables like 'shorturls';
+-----------------------------------+
| Tables_in_bdwikimedia (shorturls) |
+-----------------------------------+
| shorturls                         |
+-----------------------------------+
1 row in set (0.00 sec)

I then ran the populateShortUrlTable script:

thcipriani@terbium:~$ mwscript extensions/ShortUrl/populateShortUrlTable.php --wiki=bdwikimedia                                                                                       
100 titles done
200 titles done
300 titles done
400 titles done
500 titles done
600 titles done
662 titles done
Done

After those steps the sidebar link appeared and there were no errors present; however, shorturls were returning 404. After discovering the 404s, I reverted the patch to enable the ShortUrl extension and dropped the shorturl table.

This revert was made before the patch ever reached all of production, it was only ever deployed to mw1099.

I think something like mod_rewrite causes this errors. When I setup /wiki/ shortcut only in MediaWiki it doesn't work (on wiki without any connection to WMF) and it gives 404s. This is similar I think (the shortcut URL can be redirected to /shortcutResolver.php?id=sth) but without any rewrite rules the webserver can't find it in the disc so it throw 404.

I think the short URL redirects were just never set up for all domains in the apache config.

Change 311647 had a related patch set uploaded (by Alex Monk):
Follow-up Ifa2cc187: Add ShortUrl support on wikimedia.org docroot sites

https://gerrit.wikimedia.org/r/311647

Change 311656 had a related patch set uploaded (by MarcoAurelio):
Enable Extension:ShortURL on bd.wikimedia

https://gerrit.wikimedia.org/r/311656

I've re-submitted a patch with a dependency on Alex's one.

Hey folks, any updates?

Alex's patch needs to be merged first before we can try re-deploying this I
think. Otherwise it'll fail again.

Checking again. Sorry for being impatient, we've recently started to use that wiki for WMBD's documentation purpose and sharing the long broken URLs of those docs are kinda hard and irritating to see.

It's out of our hands, no one here can help you. Those kinds of changes need to be approved by operations these days. Someone else (preferably someone with server rights like deployment) can try scheduling it for puppet swat (where hopefully someone with the appropriate rights will review it), but I can't attend those.

Krenair added a comment.EditedOct 8 2016, 6:42 PM

Actually, I might be able to get to the puppet swat on Tuesday 1st of November or Tuesday 13th of December (or any Tuesday/Thursday after that until the 12th of January).

No promises though - other things might come up for me before then, and those dates are a long way off the current deployment calendar.

Actually, I might be able to get to the puppet swat on Tuesday 1st of November or Tuesday 13th of December (or any Tuesday/Thursday after that until the 12th of January).

Thanks for the prompt reply. Happy to know the current status. I'll pass these info to the board of WMBD.

Maybe @Dereckson (or someone found by @greg) can add the patch to a puppet swat window.

Sure, added to deployment calendar 2016-10-11. Could you provide a test URL?

Joe added a subscriber: Joe.Oct 24 2016, 7:09 AM

Hi, sorry for the delay since I first downvoted the patch but I have been incredibly busy with other things and never got around merging the related patches. Doing so now.

Change 317467 had a related patch set uploaded (by Giuseppe Lavagetto):
mediawiki::web: use Rewrites for ShortUrl extension

https://gerrit.wikimedia.org/r/317467

Change 317467 merged by Giuseppe Lavagetto:
mediawiki::web: use Rewrites for ShortUrl extension

https://gerrit.wikimedia.org/r/317467

Change 317469 had a related patch set uploaded (by Giuseppe Lavagetto):
mediawiki::web: Add ShortUrl support on wikimedia.org docroot sites

https://gerrit.wikimedia.org/r/317469

Change 317469 merged by Giuseppe Lavagetto:
mediawiki::web: Add ShortUrl support on wikimedia.org docroot sites

https://gerrit.wikimedia.org/r/317469

Change 311647 abandoned by Giuseppe Lavagetto:
Follow-up Ifa2cc187: Add ShortUrl support on wikimedia.org docroot sites

Reason:
I am abandoning this as I merged a similar change but using the RewriteRule and not the ProxyPass (which fails because of the way the extension works)

https://gerrit.wikimedia.org/r/311647

Looks like the above changes have been deployed so I'm retying this on Monday. Let's see if this works now.

Change 311656 merged by jenkins-bot:
Enable Extension:ShortURL on bd.wikimedia

https://gerrit.wikimedia.org/r/311656

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptNov 7 2016, 2:53 PM
Arseny1992 closed this task as Resolved.Nov 7 2016, 2:53 PM
Arseny1992 moved this task from Backlog to Done on the Wikimedia-Site-requests board.

Mentioned in SAL (#wikimedia-operations) [2016-11-07T15:01:55Z] <hashar> T146014 mwscript sql.php --wiki=bdwikimedia /srv/mediawiki/php-1.29.0-wmf.1/extensions/ShortUrl/schemas/shorturls.sql

Mentioned in SAL (#wikimedia-operations) [2016-11-07T15:03:02Z] <hashar> T146014 mwscript extensions/ShortUrl/populateShortUrlTable.php --wiki=bdwikimedia (714 titles done)

Mentioned in SAL (#wikimedia-operations) [2016-11-07T15:09:22Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: shortUrl for bdwikimedia and tcywiki T146014 and T150166 (duration: 01m 51s)